2017-12-17 09:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003962Kali Linux[All Projects] General Bugpublic2017-10-21 18:40
ReporterMister_X 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003962: CPU Soft lockup (Skylake 6700HQ) due to nouveau - Doesn't finish booting
DescriptionKali weekly image http://cdimage.kali.org/kali-weekly/kali-linux-2017-W16-amd64.iso doesn't really finish booting, I get CPU soft lock up which lead to kernel oops and that makes the machine unuseable (X doesn't even start, all I get is the console).

Based on the screenshots attached, they seem to be in nouveau. And those oops/issues keep coming on the screen until I force turn off.
Additional InformationInstalling 2016.2 works but last time I did, then updated it (which included the kernel), it failed to boot due to nouveau blocking at boot time.

It's an Optimus laptop with 4K monitor (dual GPU: Intel + Nvidia 960M).
CPU is i7 6700HQ.

Here is the exact laptop model: Dell Inspiron i7559-5012GRY
Attached Files

-Relationships
parent of 0004132new CPU Soft lockup (Skylake 6700HQ) due to nouveau - Doesn't finish booting 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0006730

Sairentoyukihyou (reporter)

Can confirm, I've got exactly the same problem.
Kali worked on 2016.2 (with screen flickering) but on 2017.1 it displays the errors shown in OP's image.

Laptop System: Aspire E5-771G
CPU: Intel i5 4210U
Dual GPU: IntelĀ® HD Graphics 4400 & Nvidia Geforce 840M

~0006733

broomdodger (reporter)

when at the grub startup
have you tried e (for edit)
then in the linux section
insert nomodeset before the word ro
then ctrl-x or F10 to boot

~0006740

bigfoot18 (reporter)

Can also confirm this bug on Kali 2017.1

Laptop: Dell Inspiron 15 7559
CPU: Intel I7 6700HQ Skylake
Dual GPU: Intel HD Graphics 530 + Nvidia Geforce 960M

Only get this error when trying to load USB Persistence. Does not happen when I load Kali Live Image.

~0006742

Mister_X (reporter)

bigfoot18, it only happens on recent kernels. If I installed 2016.1 and did not update it, it would not trigger. However, if I updated, I would get a more recent kernel (which 2017.1 has) that triggers.

~0006748

bigfoot18 (reporter)

Mister_X, I hope this gets resolved soon. I tried using other versions of Kali such as the 32bit version. Nothing changed, still get the same error when trying to boot into persistence. Live still works fine though.

~0006829

Mister_X (reporter)

'e' doesn't allow to edit the menu.

Getting into failsafe boots after 15-30 secs showing one line with edd=off suggestion. It gets in the 4K resolution with a mouse cursor but the screen is black. Most likely kernel panic since the mouse can't be moved and the keyboard doesn't respond to Ctrl-Alt-F1.

Tested with Weekly (24) image.

~0007507

bigfoot18 (reporter)

2017.2 still has not resolved this issue.. I would really like to be able to use Kali again at some point.

~0007553

bigfoot18 (reporter)

Still hoping this will get fixed soon. Mr. Robot season 3 has got me craving some pentesting. Cant use Kali VM, gives me the same nouveau error.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-17 20:47 Mister_X New Issue
2017-04-17 20:47 Mister_X File Added: IMG_4160.JPG
2017-05-21 18:05 Sairentoyukihyou Note Added: 0006730
2017-05-21 21:57 broomdodger Note Added: 0006733
2017-05-24 10:02 bigfoot18 Note Added: 0006740
2017-05-24 16:11 Mister_X Note Added: 0006742
2017-05-24 22:29 bigfoot18 Note Added: 0006748
2017-06-15 19:48 Mister_X Note Added: 0006829
2017-08-05 01:50 bigfoot18 Issue cloned: 0004132
2017-08-05 01:50 bigfoot18 Relationship added parent of 0004132
2017-10-10 06:06 bigfoot18 Note Added: 0007507
2017-10-21 18:40 bigfoot18 Note Added: 0007553
+Issue History